IF NOT EXISTS(
    SELECT *
    FROM sys.columns 
    WHERE Name      = N'ArchieveDate'
      AND Object_ID = Object_ID(N'BA_Instance'))
BEGIN
	ALTER TABLE BA_Instance ADD [ArchieveDate]  datetimeoffset NULL	
	ALTER TABLE BA_Instance ADD [ArchievePrincipalId] int  NULL
END